Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Interface Struct

public interface Struct

The standard mapping in the Java programming language for an SQL structured type. A `Struct` object contains a value for each attribute of the SQL structured type that it represents. By default, an instance of`Struct` is valid as long as the application has a reference to it.

Since:
  1.2
See Also:
  What Is in the JDBC 2.0 API

Method Summary
`Object[]` | `getAttributes()` Produces the ordered values of the attributes of the SQL structurec type that this `Struct` object represents.
`Object[]` | `getAttributes(Map map)` Produces the ordered values of the attributes of the SQL structurec type that this `Struct` object represents.
`String` | `getSQLTypeName()` Retrieves the SQL type name of the SQL structured type that this `Struct` object represents.

Method Detail

### getSQLTypeName

    public String getSQLTypeName()
                          throws SQLException

  Retrieves the SQL type name of the SQL structured type that this `Struct` object represents.
  Throws:
    `SQLException` - if a database access error occurs

### getAttributes

    public Object[] getAttributes()
                           throws SQLException

  Produces the ordered values of the attributes of the SQL structurec type that this `Struct` object represents. This method uses the type map associated with the connection for customizations of the type mappings. If there is no entry in the connection's type map that matches the structured type that this `Struct` object represents, the driver uses the standard mapping.

  Conceptually, this method calls the method `getObject` on each attribute of the structured type and returns a Java array containing the result.

  Returns:
    an array containing the ordered attribute values
  Throws:
    `SQLException` - if a database access error occurs

### getAttributes

    public Object[] getAttributes(Map map)
                           throws SQLException

  Produces the ordered values of the attributes of the SQL structurec type that this `Struct` object represents. This method uses the given type map for customizations of the type mappings. If there is no entry in the given type map that matches the structured type that this `Struct` object represents, the driver uses the standard mapping. This method never uses the type map associated with the connection.

  Conceptually, this method calls the method `getObject` on each attribute of the structured type and returns a Java array containing the result.

  Parameters:
    `map` - a mapping of SQL type names to Java classes
  Returns:
    an array containing the ordered attribute values
  Throws:
    `SQLException` - if a database access error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.